package com.mortals.xhx.webflux.service;


import com.mortals.xhx.webflux.req.RobotTransReq;
import com.mortals.xhx.webflux.dto.ChatBaseParam;
import com.mortals.xhx.webflux.dto.CreateSessionParam;
import com.mortals.xhx.webflux.dto.SessionBaseParam;
import com.mortals.xhx.webflux.dto.SessionVO;
import reactor.core.publisher.Flux;

/**
 * IChatMsgService
 * @author: zxfei
 * @date: 2025/3/13 10:03
 */
public interface IChatMsgService {

    SessionVO createSession(CreateSessionParam param);

    Flux<String> baseChat(RobotTransReq param);

    void stopChat(SessionBaseParam param);
}
